<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>" />

        <!-- Mobile Specific Data -->
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">

        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <?php
            if ( function_exists( 'wp_body_open' ) ) {
                wp_body_open();
            }
        ?>
        <a class="skip-link" href="#content">
        <?php _e( 'Skip to content', 'prime-business' ); ?></a>
        <?php
            // Call the topbar
            get_template_part( 'template-parts/header/topbar' );
        ?>

        <div class="mobile-menu-overlay"></div>

        <header class="site-header">
            <div class="container">
                <div class="row vertical-align">
                    <div class="four columns">
                        <div class="site-branding">
                                <?php
                                    if ( has_custom_logo() ) {
                                        if ( function_exists( 'the_custom_logo' ) ) {
                                            the_custom_logo();
                                        }
                                    } else {
                                ?>
                                    <h2 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h2>
                                <?php
                                    }
                                ?>
                        </div><!-- /.site-branding -->
                        <?php if ( get_theme_mod( 'prime_business_site_description_switch_setting' ) ) : ?>
                        <div class="site-description">
                            <?php bloginfo( 'description' ); ?>
                        </div><!-- /.site-description -->
                        <?php endif; ?>
                    </div>

                    <div class="eight columns">
                        <?php
                            if ( has_nav_menu( 'header_menu' ) ) :

                                wp_nav_menu( array(
                                    'theme_location'    => 'header_menu',
                                    'container'         => 'nav',
                                    'container_class'   => 'menu-all-pages-container',
                                    'menu_class'        => 'main-nav',
                                    'fallback_cb'       => 'wp_page_menu',
                                ) );

                            endif;
                        ?>
                    </div> <!-- .eight .columns -->

                </div><!-- /.row -->
            </div><!-- /.container -->

            <div class="container mobile-menu-container">
                <div class="row">
                    <div class="mobile-navigation">
                            <?php if ( !has_custom_logo() ) : ?>
                                <i class="fa fa-bars menubar-right"></i>
                            <?php else : ?>
                                <i class="fa fa-bars menubar-right has-logo"></i>
                            <?php endif; ?>

                            <nav class="nav-parent">
                                <i class="fa fa-close menubar-close"></i>
                                <?php
                                    if ( has_nav_menu( 'mobile_menu' ) ) :
                                        wp_nav_menu( array(
                                            'theme_location'    => 'mobile_menu',
                                            'container'         => false,
                                            'menu_class'        => 'mobile-nav',
                                            'fallback_cb'       => 'wp_page_menu',
                                            'depth'             => '4',
                                            'walker'            => new Prime_Business_Dropdown_Toggle_Walker_Nav_Menu()
                                        ) );
                                    else :
                                        wp_nav_menu( array(
                                            'theme_location'    => 'header_menu',
                                            'container'         => false,
                                            'menu_class'        => 'mobile-nav',
                                            'fallback_cb'       => 'wp_page_menu',
                                            'depth'             => '4',
                                            'walker'            => new Prime_Business_Dropdown_Toggle_Walker_Nav_Menu()
                                        ) );
                                    endif;
                                ?>
                            </nav>
                        </div> <!-- /.mobile-navigation -->
                </div><!-- /.row -->
            </div><!-- /.container -->
        </header>
