<?php if ( get_theme_mod( 'prime-business-features-switch-setting', false ) ) : ?>
    <div class="ct-long-blurb u-full-width">
        <div class="container">
            <div class="row center">
                <div class="twelve columns">
                    <?php
                        if ( get_theme_mod( 'prime-business-features-subtitle-setting' ) != '' ):
                    ?>
                        <h4 class="ct-sub features-subtitle"><?php echo esc_html( get_theme_mod( 'prime-business-features-subtitle-setting' ) ); ?></h4>
                    <div class="underline"></div><!-- /.underline -->
                    <?php endif ?>
                    <?php
                        if ( get_theme_mod( 'prime-business-features-title-setting' ) != '' ):
                    ?>
                    <h1 class="features-title"><?php echo esc_html( get_theme_mod( 'prime-business-features-title-setting' ) ); ?></h1>
                    <?php endif; ?>
                </div><!-- /.twelve columns -->
            </div><!-- /.row -->

            <?php
                for ( $prime_business_count = 1; $prime_business_count < 5 ; $prime_business_count++ ) :
                    $prime_business_feature = get_theme_mod( "prime-business-feature-setting-$prime_business_count" );
                    if ( ! empty( $prime_business_feature ) ) :
            ?>
            <div class="row long-blurb vertical-align">
                <div class="three columns">
                    <h3 class="long-blurb-title <?php echo esc_attr( "feature-content-$prime_business_count" ); ?>"><?php
                        echo esc_html( get_the_title( $prime_business_feature ) );
                        ?></h3>
                </div><!-- /.two columns -->
                <div class="one column">
                    <span class="fa <?php
                        echo esc_attr( get_theme_mod( "prime-business-feature-icon-setting-$prime_business_count" , 'fa-star') );
                        ?> fa-gradient"></span>
                </div><!-- /.one column -->
                <div class="eight columns">
                    <p class="post-excerpt"><?php
                        echo esc_html( get_the_excerpt( $prime_business_feature ) );
                    ?></p>
                </div><!-- /.nine columns -->
            </div><!-- /.row -->
            <?php
                endif;
                endfor;
            ?>
        </div><!-- /.container -->
    </div><!-- /.ct-long-blurb u-full-width -->
<?php endif; ?>
