<?php if ( get_theme_mod( 'prime-business-services-switch-setting', false ) ) : ?>
    <div class="ct-section ct-about u-full-width">
        <div class="container">
            <div class="row center">
                <div class="twelve columns">
                    <?php
                        if ( get_theme_mod( 'prime-business-services-subtitle-setting' ) != '' ):
                    ?>
                        <h4 class="ct-sub services-subtitle"><?php echo esc_html( get_theme_mod( 'prime-business-services-subtitle-setting' ) ); ?></h4>
                    <div class="underline"></div><!-- /.underline -->
                    <?php endif ?>

                    <h1 class="services-title"><?php echo esc_html( get_the_title( get_theme_mod( 'prime-business-services-page-setting' ) ) ); ?></h1>

                    <?php
                        if ( get_theme_mod( 'prime-business-services-page-setting' ) != '' ):
                    ?>
                    <p><?php
                        echo esc_html( get_the_excerpt( get_theme_mod( 'prime-business-services-page-setting' ) ) );
                    ?></p>
                    <?php endif ?>
                </div><!-- /.twelve columns -->
            </div><!-- /.row -->
        </div><!-- /.container -->
    </div><!-- /.ct-section ct-about u-full-width -->

    <div class="ct-info-box u-full-width">
        <div class="container">
            <div class="row info-boxes">
                <?php
                    for ( $prime_business_count = 1; $prime_business_count < 7 ; $prime_business_count++ ) :
                        $prime_business_service = get_theme_mod( "prime-business-service-content-setting-$prime_business_count" );
                        if ( ! empty( $prime_business_service ) ) :
                ?>
                <div class="info-box">
                    <div class="info-box-flat">
                        <span class="fa <?php
                        echo esc_attr( get_theme_mod( "prime-business-service-icon-setting-$prime_business_count" , 'fa-line-chart') );
                        ?> fa-gradient"></span>
                        <h3 class="<?php echo esc_attr( "service-content-$prime_business_count" ) ?>"><?php echo esc_html( get_the_title( $prime_business_service ) ); ?></h3>
                        <p><?php
                        echo esc_html( get_the_excerpt( $prime_business_service ) );
                        ?></p>
                        <?php
                            if ( get_theme_mod( "prime-business-services-readmore-switch-setting-$prime_business_count", false ) ) {
                                echo '<a class="read-more" href="' . esc_url ( get_the_permalink( $prime_business_service ) ) . '">' . esc_html__( 'Read more', 'prime-business' ) .'</a>' ;
                            }
                        ?>
                    </div><!-- /.info-box-flat -->
                </div><!-- /.info-box -->
                <?php
                    endif;
                    endfor;
                ?>
            </div><!-- /.row -->
        </div><!-- /.container -->
    </div><!-- /.ct-info-box u-full-width -->
<?php endif; ?>
